> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cativa.digital/llms.txt
> Use this file to discover all available pages before exploring further.

# [Authenticated] Get current user coin transaction history



## OpenAPI

````yaml /openapi/tenant.json get /api/v1/monetization/wallet/history
openapi: 3.0.1
info:
  title: Cativa Social API (public)
  version: public
servers: []
security: []
paths:
  /api/v1/monetization/wallet/history:
    get:
      tags:
        - Wallets
      summary: '[Authenticated] Get current user coin transaction history'
      operationId: GetCoinHistory
      parameters:
        - name: pageNumber
          in: query
          schema:
            type: integer
            format: int32
        - name: pageSize
          in: query
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: OK

````